# File.h file

A file.

### Contents

- Reference
  - Functions

## Functions

template<class T, std::enable_if<!std::is_function_v<T> && std::is_class_v<T>>* = nullptr>
void foo(T* value)
  Templates can get quite crazy.
template<class T, std::enable_if<!std::is_function_v<T> && std::is_class_v<T>>* ptr = nullptr>
void bar(T* value)
  Templates can get quite crazy.

## Function documentation

###
template<class T, std::enable_if<!std::is_function_v<T> && std::is_class_v<T>>* = nullptr>
void foo(T* value)

Templates can get quite crazy.

Template parameters
T | yes they
Parameters
value | can

###
template<class T, std::enable_if<!std::is_function_v<T> && std::is_class_v<T>>* ptr = nullptr>
void bar(T* value)

Templates can get quite crazy.

Template parameters
T | yes they
ptr | absolutely
Parameters
value | can